@import "variables.scss";

.group-dropdown {
  width: 100%;
  height: 100%;
  cursor: pointer;
  position: relative;
  .box-dropdown {
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;

    .name-lacation {
      display: block;
      width: 64px;
      font-size: 14px;
      color: $gray-darker;
      white-space: nowrap;
      overflow: hidden;
      text-overflow: ellipsis;
      text-transform: capitalize;
    }

    .click-location {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 20px;
      height: 20px;
      position: absolute;
      top: calc(50% - 10px);
      right: 42px;

      img {
        display: block;
        width: 11px;
        height: auto;
      }
    }
  }

  .list-location {
    display: none;
    width: 204px;
    max-height: 201px;
    padding: 0;
    margin: 0;
    background: #fff;
    box-shadow: 0 25px 50px 0 rgba(0, 0, 0, 0.1);
    overflow-y: auto;
    position: absolute;
    top: 35px;
    right: 0;
    z-index: 100;

    li {
      display: flex;
      align-items: center;
      width: 100%;
      height: 40px;

      a {
        display: flex;
        align-items: center;
        width: 100%;
        height: 100%;
        padding-left: 15px;
        font-size: 14px;
        color: $gray-darker;
        text-transform: capitalize;
      }

      &:hover {
        background: $gray-lightest;
      }
    }
  }
  // Show Dropdown
  &.show-dropdown {
    .box-dropdown {
      .click-location {
        transform: rotate(180deg);
      }
    }
    .list-location {
      display: block;
    }
  }

  &.full-box {
    .box-dropdown {
      padding: 0 30px 0 15px;
      .name-lacation {
        font-size: 12px;
        font-weight: bold;
      }
      .click-location {
        right: 10px;
      }
    }
    .list-location {
      width: 100%;
      li {
        a {
          font-size: 12px;
        }
      }
    }
  }
}
